Bug 90438 - glxinfo should have a quiet mode
Summary: glxinfo should have a quiet mode
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Demos (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-13 15:01 UTC by Bryan Quigley
Modified: 2017-09-01 20:25 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
adds quiet option (5.95 KB, patch)
2015-05-13 20:11 UTC, Bryan Quigley
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Quigley 2015-05-13 15:01:11 UTC
I'd like to see an option for glxinfo to just display the basic information as a summary.

Many users end up using something like glxinfo | grep OpenGL, which is generally fine, this would just make that easier (and provide a bit more context).

I'm thinking something like:
glxinfo -q (for quiet)
display: :0  screen: 0
direct rendering: Yes
OpenGL vendor string: X.Org R300 Project
OpenGL renderer string: Gallium 0.4 on ATI RS690
OpenGL version string: 2.1 Mesa 10.5.2
OpenGL shading language version string: 1.20
OpenGL ES profile version string: OpenGL ES 2.0 Mesa 10.5.2
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16

I'd also be open to making it more structured[1], so for example:
display: :0  screen: 0
Direct rendered    yes
Vendor             NVIDIA Corporation
Video Card         GeForce GTX 750 Ti/PCIe/SSE2
etc

[1] With inspiration from /usr/lib/nux/unity_support_test -p
Comment 1 Brian Paul 2015-05-13 15:20:00 UTC
That would be useful.  Personally, I use a shell script that wraps glxinfo and greps for "version\|vendor\|renderer".

If you want to take a crack at this feature, feel free to submit a patch.
Comment 2 Bryan Quigley 2015-05-13 20:11:03 UTC
Created attachment 115750 [details] [review]
adds quiet option

Adds -q quiet option to glxinfo.  Just changes what is printed,
not what is collected.

Example output:
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GTX 750 Ti/PCIe/SSE2
OpenGL core profile version string: 4.5.0 NVIDIA 346.59
OpenGL core profile shading language version string: 4.50 NVIDIA
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 4.5.0 NVIDIA 346.59
OpenGL shading language version string: 4.50 NVIDIA
OpenGL context flags: (none)
OpenGL profile mask: (none)

OpenGL ES profile version string: OpenGL ES 3.1 NVIDIA 346.59
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.10
Comment 3 Brian Paul 2015-05-15 21:27:17 UTC
Just minor nits:
1. I'll fix up some indentation/formatting issues.
2. I think 'quiet' isn't quite the right term.  How about 'brief' using -B as the flag (since -b is already taken)?
3. I'll also update wglinfo.
Comment 4 Bryan Quigley 2015-05-18 14:12:23 UTC
> 2. I think 'quiet' isn't quite the right term.  How about 'brief' using -B
> as the flag (since -b is already taken)?
That works.


1&3.  Thanks!
Comment 5 Bryan Quigley 2017-09-01 20:25:25 UTC
This was fixed some time ago.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.